
/********************************************************************************************************/
/****************************************** ESTILOS PROPIOS *********************************************/
/********************************************************************************************************/

.bg-principal{
    background-color: #222E3C;
}

.img-preview{
    width: 100%;
    max-height: 300px;
    border-radius: 1rem;
    border: none;
    object-fit: cover;
}

.pdfobject-container {
    width: 100%;
    height: 600px;
    border: 1px solid #ccc;
}

/*
    INPUT ESTRELLAS
*/

.stars{
    direction: rtl;/* right to left */
    unicode-bidi: bidi-override;/* bidi de bidireccional */
    display: flex;
    justify-content: end;
    margin-bottom: 0;
}

.stars label{
    color:grey;
    font-size: 2.2rem;
}

.stars label:hover{
    color:orange;
}

.stars label:hover ~ label{
    color:orange;
}

input[type = "radio"]{
    display:none;
}

input[type = "radio"]:checked ~ label{
    color:orange;
}

.stars-sm{
    direction: rtl;/* right to left */
    unicode-bidi: bidi-override;/* bidi de bidireccional */
    display: flex;
    justify-content: end;
    margin-bottom: 0;
}

.stars-sm label{
    color:grey;
    font-size: 1.5rem;
}

.stars-sm input[type = "radio"]{
    display:none;
}

.stars-sm input[type = "radio"]:checked ~ label{
    color:orange;
}

/*
    GRID IMAGES
*/

.container-images{
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    gap: 1rem;
    width: 100%;
    height: auto;
    margin: 1rem auto;
}

.grid-item{
    width: 100%;
    height: 10rem;
    position: relative;
    cursor: pointer;
    transition: all .4s ease-in-out;
}

.grid-item img{
    width: 100%;
    height: 100%;
    border-radius: 1rem;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}

.img-seleccionada{
    position: absolute;
    bottom: 0;
    left: 0;
    color: white;
    height: 1.6rem;
    width: 100%;
    background: rgba(0,0,0,.7);
    text-align: center;
    border-bottom-left-radius: 1rem;
    border-bottom-right-radius: 1rem;
}

@media (min-width: 768px)  {
    .container-images{
        grid-template-columns: 1fr 1fr;
    }
}

@media (min-width: 1024px)  {
    .container-images{
        grid-template-columns: 1fr 1fr 1fr;
    }

    .grid-item{
        height: 8rem;
    }
}

@media (min-width: 1200px)  {
    .container-images{
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    }

    .grid-item{
        height: 10rem;
    }
}

/*
    BOTON ELIMINAR IMAGEN
*/

.btn-delete{
    background-color: red;
    color: white;
    padding: .5rem;
    position: absolute;
    top: 0;
    right: 0;
    border-top-right-radius: 1rem;
    font-weight: bold;
    cursor: pointer;
}

/*
    RESALTAR IMAGEN SELECCIONADA
*/

.resaltar{
    position: absolute;
    top: 0;
    left: 0;
    background-color: #222E3C;
    width: 100%;
    height: 100%;
}

/*
    MODALES CRUDS AJAX
*/

.modal-content {
    border: none!important;
}

/*
    MERCADOPAGO BOTON
*/
.btn-mercadopago{
    background-color: #4FC3F7;
    color: white;
}

.btn-mercadopago:hover{
    background-color: #2b9fd4;
    color: white;
}

/*
    BOTON EXCEL
*/
.btn-excel{
    background-color: #007139;
    color: white;
}

/*
    LOADING
*/

#loading{
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 99999;
    background-color: rgba(34,46,60, .8);
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 1;
    transition: opacity .5s ease-in-out;
}

.spinner {
    position: relative;
    width: 15.7px;
    height: 15.7px;
 }

 .spinner div {
    animation: spinner-4t3wzl 1.875s infinite backwards;
    background-color: #ffffff;
    border-radius: 50%;
    height: 100%;
    position: absolute;
    width: 100%;
 }

 .spinner div:nth-child(1) {
    animation-delay: 0.15s;
    background-color: rgba(255,255,255,0.9);
 }

 .spinner div:nth-child(2) {
    animation-delay: 0.3s;
    background-color: rgba(255,255,255,0.8);
 }

 .spinner div:nth-child(3) {
    animation-delay: 0.45s;
    background-color: rgba(255,255,255,0.7);
 }

 .spinner div:nth-child(4) {
    animation-delay: 0.6s;
    background-color: rgba(255,255,255,0.6);
 }

 .spinner div:nth-child(5) {
    animation-delay: 0.75s;
    background-color: rgba(255,255,255,0.5);
 }

 @keyframes spinner-4t3wzl {
    0% {
       transform: rotate(0deg) translateY(-200%);
    }

    60%, 100% {
       transform: rotate(360deg) translateY(-200%);
    }
 }

/*
    DATATABLES
*/

.pagination{
    display: flex;
    flex-direction: column;
    padding-top: 1rem;
}

div.dataTables_wrapper div.dataTables_info {
    padding-top: 1.85em!important;
}


div.dataTables_wrapper div.dataTables_filter input {
    margin-left: 0.5em;
    display: inline-block;
    width: 75%!important;
}

@media (min-width: 768px) {
    .pagination{
        flex-direction: row;
    }

    div.dataTables_wrapper div.dataTables_filter input {
        width: auto;
    }

}

/*
    PROFILE
*/
.container-img{
    position: relative;
    display: inline-flex;
    overflow: hidden;
    border-radius: 50%;
}

.container-img:hover .overlay-img{
    transform: translate(0, -100%);
}

.img-profile{
    transition: transform 0.2s;
}

.profile .container-img .overlay-img {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 100;
    background: linear-gradient(rgba(34, 46, 60, 0.8), rgba(71, 180, 235, 0.8));
    color: white;
    padding: 1rem;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    cursor: pointer;
    transition: transform 0.4s;
}




